# _OpMapUpdate
<span class="source-link">[[Source]](src/collections-persistent/_test.md#L343)</span>
```pony
class val _OpMapUpdate
```

## Constructors

### create
<span class="source-link">[[Source]](src/collections-persistent/_test.md#L347)</span>


```pony
new val create(
  k': U64 val,
  v': U64 val)
: _OpMapUpdate val^
```
#### Parameters

*   k': [U64](builtin-U64.md) val
*   v': [U64](builtin-U64.md) val

#### Returns

* [_OpMapUpdate](collections-persistent-_OpMapUpdate.md) val^

---

## Public fields

### let k: [U64](builtin-U64.md) val
<span class="source-link">[[Source]](src/collections-persistent/_test.md#L344)</span>



---

### let v: [U64](builtin-U64.md) val
<span class="source-link">[[Source]](src/collections-persistent/_test.md#L345)</span>



---

## Public Functions

### apply
<span class="source-link">[[Source]](src/collections-persistent/_test.md#L351)</span>


```pony
fun box apply(
  a: HashMap[U64 val, U64 val, CollisionHash val] val,
  b: HashMap[U64 val, U64 val, HashEq[U64 val] val] ref)
: HashMap[U64 val, U64 val, CollisionHash val] val
```
#### Parameters

*   a: [HashMap](collections-persistent-HashMap.md)\[[U64](builtin-U64.md) val, [U64](builtin-U64.md) val, [CollisionHash](collections-persistent-CollisionHash.md) val\] val
*   b: [HashMap](collections-HashMap.md)\[[U64](builtin-U64.md) val, [U64](builtin-U64.md) val, [HashEq](collections-HashEq.md)\[[U64](builtin-U64.md) val\] val\] ref

#### Returns

* [HashMap](collections-persistent-HashMap.md)\[[U64](builtin-U64.md) val, [U64](builtin-U64.md) val, [CollisionHash](collections-persistent-CollisionHash.md) val\] val

---

### str
<span class="source-link">[[Source]](src/collections-persistent/_test.md#L355)</span>


```pony
fun box str()
: String val
```

#### Returns

* [String](builtin-String.md) val

---

